Ask Your Question
0

openstack(juno)-Fedora20: unable to start nova compute service on compute node

asked 2015-02-09 07:18:34 -0500

vs38 gravatar image

updated 2015-02-10 03:27:50 -0500

smaffulli gravatar image

I am installing openstack-juno on Fedora20, two node architecture with neutron networking. i am unable to start nova compute service in compute node bellow are my configuration details:

nova.conf--compute node:

#rpc_backend = nova.openstack.common.rpc.impl_kombu
rpc_backend = rabbit
rabbit_host = 10.130.98.155
rabbit_userid = guest
rabbit_password = root
auth_strategy = keystone
my_ip = 10.130.98.82
vnc_enabled = True
vncserver_listen = 0.0.0.0
vncserver_proxyclient_address = 10.130.98.82
novncproxy_base_url = http://10.130.98.155:6080/vnc_auto.html
verbose = True

i am using rabbitMQ as messaging server(in controller node) i tried rpc_backend as "rabbit" & "nova.openstack.common.rpc.impl_kombu" but both are failed, below are log details.

rpc_backend=rabbit

2013-05-21 18:13:54.794 6966 TRACE nova     __import__(import_str)
2013-05-21 18:13:54.794 6966 TRACE nova ImportError: No module named rabbit

rpc_backend = nova.openstack.common.rpc.impl_kombu

2013-05-21 17:51:23.142 6213 TRACE nova.openstack.common.threadgroup [u'Traceback (most recent call last):\n', u'  File "/usr/lib/python2.7/site-packages/oslo/messaging/rpc/dispatcher.py", line 134, in _dispatch_and_reply\n    incoming.message))\n', u'  File "/usr/lib/python2.7/site-packages/oslo/messaging/rpc/dispatcher.py", line 186, in _dispatch\n    raise UnsupportedVersion(version)\n', u'UnsupportedVersion: Endpoint does not support RPC version 1.50\n'].

i am strictly following openstack-juno documentation but got stuck here, can anybody please unblock me here..!!!?? thanks for your help in advance.

edit retag flag offensive close merge delete

Comments

without defining rpc_backend in nova.conf openstack taking qpid as default messaging server, bellow are the logs. 2013-05-21 17:58:55.666 6571 ERROR nova.openstack.common.rpc.impl_qpid [req-0da05d62-597a-4993-98b9-fdfe8b7ac5b4 None None] Unable to connect to AMQP server: client: 0-10, server: 9-1.

vs38 gravatar imagevs38 ( 2015-02-09 07:29:14 -0500 )edit

You should edit the question, instead of adding comments. And while you edit the question, learn how to format it properly (it's not as hard as you may think, use the formatting toolbar)

smaffulli gravatar imagesmaffulli ( 2015-02-09 09:22:09 -0500 )edit

sure thanks for input Smaffulli, Any Update over above issue...!!!?

vs38 gravatar imagevs38 ( 2015-02-09 23:09:20 -0500 )edit

2 answers

Sort by ยป oldest newest most voted
0

answered 2015-02-10 23:36:35 -0500

vs38 gravatar image

hello stackers,

Finally we are able to root cause and fix this issue, we observed that the RPM versions on compute node and controller/network node are different, this happened because of wrong system time in compute node. so we have updated the system time of both nodes to latest and did yum update, issue is now solved. hope this helps for somebody else also.

thanks, shankar.

edit flag offensive delete link more
0

answered 2015-02-10 03:30:41 -0500

smaffulli gravatar image

I'm not very familiar with Fedora but

2013-05-21 18:13:54.794 6966 TRACE nova ImportError: No module named rabbit

makes me think that you're missing a python package for RabbitMQ.

edit flag offensive delete link more

Comments

i tried installing rabbitMq also but no use..

vs38 gravatar imagevs38 ( 2015-02-10 07:13:17 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2015-02-09 07:18:34 -0500

Seen: 221 times

Last updated: Feb 10 '15